Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Expenses/FrmExpenses.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Expenses/FrmExpenses.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Expenses/FrmExpenses.cs	(revision 83)
@@ -494,7 +494,7 @@
                     exList.DivisionCode = CommonMotions.cnvInt(m_dispControl[(int)DispControl.DivisionCode].Text);
                     exList.NameCode = CommonMotions.cnvInt(wrkRow.Cells[(int)GridColumn.ExpensesCode].Value);
                     exList.DisplayOrder = ++idisp;
-                    exList.ExpensesRatio = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.Ratio].Value);
+                    exList.ExpensesRaito = CommonMotions.cnvDouble(wrkRow.Cells[(int)GridColumn.Ratio].Value);
                     exList.DeleteFlg = 0;
 
                     // SQL作成
@@ -638,7 +638,7 @@
                 strSQL += " B.NameCode,";
                 strSQL += " B.RecNo,";
                 strSQL += " B.NameString,";
-                strSQL += " B.ExpensesRatio";
+                strSQL += " B.ExpensesRaito";
                 strSQL += " From DivisionMaster A,";
                 strSQL += " (Select";
                 strSQL += " ROW_NUMBER() OVER (ORDER BY SA.DisplayOrder) RecNo,";
@@ -645,7 +645,7 @@
                 strSQL += " SA.NameCode,";
                 strSQL += " SA.NameString,";
                 strSQL += " SA.DisplayOrder,";
-                strSQL += " IFNULL(SB.ExpensesRatio, 0) ExpensesRatio";
+                strSQL += " IFNULL(SB.ExpensesRaito, 0) ExpensesRaito";
                 //strSQL += " From DivisionMaster SA, ExpensesMaster SB";
                 strSQL += " From DivisionMaster SA";
                 //strSQL += string.Format(" Where SA.DivisionCode = {0}", KeihirituCode);
Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.cs	(revision 82)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Orderer/FrmOrderers.cs	(revision 83)
@@ -63,7 +63,7 @@
             ORDERERS_CODE,
             ORDERERS_NAME,
         }
-        private enum Dispcount
+        private enum DispCtrl
         {
             OrderersCode = 0,
             CorporateStatusName,
@@ -82,6 +82,9 @@
             PointFront,
             PointRear,
             ChangeOrdersChange,
+            DepartmentName,
+            ChargePersonName,
+            MailAddress,
         }
         #endregion
 
@@ -107,7 +110,7 @@
         /// <summary>
         /// 表示コントロール保持配列
         /// </summary>
-        private Control[] m_dispControl = new Control[17];
+        private Control[] m_dispControl;
 
         /// <summary>
         /// 初期読込時データカウント
@@ -122,10 +125,23 @@
         /// 参照フラグ
         /// </summary>
         private bool m_EditLock = false;
+
+        /// <summary>
+        /// サブフォーム使用フラグ
+        /// </summary>
+        private bool m_SubForm = false;
         #endregion
 
         #region プロパティ
         /// <summary>
+        /// 終了ボタン押下フラグ
+        /// </summary>
+        public bool EndButton
+        {
+            get { return m_EndButton; }
+        }
+
+        /// <summary>
         /// 発注者区分
         /// </summary>
         public int DivisionCode
@@ -150,6 +166,15 @@
             get { return m_EditLock; }
             set { m_EditLock = value; }
         }
+
+        /// <summary>
+        /// サブフォーム使用フラグ
+        /// </summary>
+        public bool SubForm
+        {
+            get { return m_SubForm; }
+            set { m_SubForm = value; }
+        }
         #endregion
 
         #region コンストラクタ
@@ -203,10 +228,27 @@
         /// <param name="e"></param>
         private void btnEnd_Click(object sender, EventArgs e)
         {
+            if (m_SubForm) m_EndButton = true;
             this.Close();
         }
         #endregion
 
+        #region データ選択ボタン押下
+        /// <summary>
+        /// データ選択ボタン押下
+        /// </summary>
+        /// <param name="sender"></param>
+        /// <param name="e"></param>
+        private void btnSelect_Click(object sender, EventArgs e)
+        {
+            m_bChengeAns = false;
+            m_DivisionCode = CommonMotions.cnvInt(cmbDivision.SelectedValue);
+            m_OrderersCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderersCode].Text);
+            
+            this.Close();
+        }
+        #endregion
+
         #region 初期フォームロード
         /// <summary>
         /// 初期フォームロード
@@ -244,6 +286,9 @@
                 ExecReadOnly();
             }
 
+            // サブ画面使用時はデータ選択ボタン表示
+            if (m_SubForm) btnSelect.Visible = true;
+
             // 初期フラグON
             m_bInitChangeOff = false;
 
@@ -326,7 +371,7 @@
                     , MessageBoxButtons.YesNo, MessageBoxIcon.Information) != DialogResult.Yes) return;
 
                 string strWhere = orDB.CreatePrimarykeyString(CommonMotions.cnvInt(cmbDivision.SelectedValue.ToString()),
-                                                                CommonMotions.cnvInt(m_dispControl[(int)Dispcount.OrderersCode].Text));
+                                                                CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderersCode].Text));
                 OrderersMaster orData = new OrderersMaster();
                 if (!orDB.SelectAction(strWhere, ref orData))
                 {
@@ -439,9 +484,9 @@
 
             // モード表示
             if (m_EditLock)
-                m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringRef;
+                m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringRef;
             else
-                m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringEdit;
+                m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringEdit;
 
             // 参照時はデータ変更させない
             if (m_EditLock)
@@ -450,7 +495,7 @@
             }
 
             // フォーカスセット
-            m_dispControl[(int)Dispcount.OrderersName1].Focus();
+            m_dispControl[(int)DispCtrl.OrderersName1].Focus();
 
         }
         #endregion
@@ -469,7 +514,7 @@
             if (CommonMotions.chkCellBlank(dgv.CurrentRow.Cells[(int)DispListColumn.ORDERERS_CODE].Value)) return;
 
             // 現在表示データが選択データと同じならば処理しない
-            if (m_dispControl[(int)Dispcount.OrderersCode].Text.Equals(CommonMotions.cnvString(dgv.CurrentRow.Cells[(int)DispListColumn.ORDERERS_CODE].Value)))
+            if (m_dispControl[(int)DispCtrl.OrderersCode].Text.Equals(CommonMotions.cnvString(dgv.CurrentRow.Cells[(int)DispListColumn.ORDERERS_CODE].Value)))
                 return;
 
             // 行選択時処理
@@ -511,12 +556,12 @@
                 // 新規時
                 string strWhere = orDB.CreatePrimarykeyString(CommonMotions.cnvInt(cmbDivision.SelectedValue.ToString()));
 
-                m_dispControl[(int)Dispcount.OrderersCode].Text = (orDB.SelectMaxOrderersCodeCount(strWhere) + 1).ToString();
+                m_dispControl[(int)DispCtrl.OrderersCode].Text = (orDB.SelectMaxOrderersCodeCount(strWhere) + 1).ToString();
                 // 変更コンボボックスセット
                 cmbChangeOrdersDivision.SelectedIndex = cmbDivision.SelectedIndex;
                 
                 // 最大登録件数越え
-                if (CommonMotions.cnvInt(m_dispControl[(int)Dispcount.OrderersCode].Text) > s_MaxOrdererCode)
+                if (CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderersCode].Text) > s_MaxOrdererCode)
                 {
                     MessageBox.Show("最大件数を超えました、これ以上登録できません", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
                     return;
@@ -523,9 +568,9 @@
                 }
 
                 // モード表示
-                m_dispControl[(int)Dispcount.EditMode].Text = CommonDefine.EditModeStringNew;
+                m_dispControl[(int)DispCtrl.EditMode].Text = CommonDefine.EditModeStringNew;
                 // フォーカスセット
-                m_dispControl[(int)Dispcount.OrderersName1].Focus();
+                m_dispControl[(int)DispCtrl.OrderersName1].Focus();
             }
             catch (System.Exception ex)
             {
@@ -552,24 +597,24 @@
             {
                 //現在値セット
                 //郵便番号
-                if (!string.IsNullOrEmpty(m_dispControl[(int)Dispcount.ZipCode].Text))
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.ZipCode].Text))
                 {
-                    Fad.ZipCodeArea = m_dispControl[(int)Dispcount.ZipCode].Text;
+                    Fad.ZipCodeArea = m_dispControl[(int)DispCtrl.ZipCode].Text;
                 }
                 //住所１
-                if (!string.IsNullOrEmpty(m_dispControl[(int)Dispcount.Address1].Text))
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.Address1].Text))
                 {
-                    Fad.AddressArea1 = m_dispControl[(int)Dispcount.Address1].Text;
+                    Fad.AddressArea1 = m_dispControl[(int)DispCtrl.Address1].Text;
                 }
                 //住所２
-                if (!string.IsNullOrEmpty(m_dispControl[(int)Dispcount.Address2].Text))
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.Address2].Text))
                 {
-                    Fad.AddressArea2 = m_dispControl[(int)Dispcount.Address2].Text;
+                    Fad.AddressArea2 = m_dispControl[(int)DispCtrl.Address2].Text;
                 }
                 //住所３
-                if (!string.IsNullOrEmpty(m_dispControl[(int)Dispcount.Address2].Text))
+                if (!string.IsNullOrEmpty(m_dispControl[(int)DispCtrl.Address2].Text))
                 {
-                    Fad.AddressArea3 = m_dispControl[(int)Dispcount.Address3].Text;
+                    Fad.AddressArea3 = m_dispControl[(int)DispCtrl.Address3].Text;
                 }
 
                 //Fad.ShowInTaskbar = false;
@@ -580,16 +625,16 @@
                 //検索値取得
                 //郵便番号
                 if (!string.IsNullOrEmpty(Fad.ZipCodeArea))
-                    m_dispControl[(int)Dispcount.ZipCode].Text = Fad.ZipCodeArea.Substring(0, 3) + "-" + Fad.ZipCodeArea.Substring(3);
+                    m_dispControl[(int)DispCtrl.ZipCode].Text = Fad.ZipCodeArea.Substring(0, 3) + "-" + Fad.ZipCodeArea.Substring(3);
                 //住所１
-                m_dispControl[(int)Dispcount.Address1].Text = Fad.AddressArea1;
+                m_dispControl[(int)DispCtrl.Address1].Text = Fad.AddressArea1;
                 //住所２
-                m_dispControl[(int)Dispcount.Address2].Text = Fad.AddressArea2;
+                m_dispControl[(int)DispCtrl.Address2].Text = Fad.AddressArea2;
                 //住所３
-                m_dispControl[(int)Dispcount.Address3].Text = Fad.AddressArea3;
+                m_dispControl[(int)DispCtrl.Address3].Text = Fad.AddressArea3;
 
                 // 次コントロールへ
-                m_dispControl[(int)Dispcount.PhoneNumber].Focus();
+                m_dispControl[(int)DispCtrl.PhoneNumber].Focus();
             }
             catch (Exception ex)
             {
@@ -668,23 +713,29 @@
         /// </summary>
         private void SetDisplayObject()
         {
-            m_dispControl[(int)Dispcount.OrderersCode] = lblOrderersCode;
-            m_dispControl[(int)Dispcount.CorporateStatusName] = cmbCorporateStatus;
-            m_dispControl[(int)Dispcount.OrderersName1] = txtInput01;
-            m_dispControl[(int)Dispcount.OrderersName2] = txtInput02;
-            m_dispControl[(int)Dispcount.ZipCode] = txtInput03;
-            m_dispControl[(int)Dispcount.Address1] = txtInput04;
-            m_dispControl[(int)Dispcount.Address2] = txtInput05;
-            m_dispControl[(int)Dispcount.Address3] = txtInput09;
-            m_dispControl[(int)Dispcount.PhoneNumber] = txtInput06;
-            m_dispControl[(int)Dispcount.FaxNumber] = txtInput07;
-            m_dispControl[(int)Dispcount.Note] = txtInput08;
-            m_dispControl[(int)Dispcount.EditMode] = lblEditMode;
-            m_dispControl[(int)Dispcount.btnSerchZip] = btnSerchZip;
-            m_dispControl[(int)Dispcount.PointNone] = rdbPoint1;
-            m_dispControl[(int)Dispcount.PointFront] = rdbPoint2;
-            m_dispControl[(int)Dispcount.PointRear] = rdbPoint3;
-            m_dispControl[(int)Dispcount.ChangeOrdersChange] = cmbChangeOrdersDivision;
+            int DspCtrlCnt = Enum.GetNames(typeof(DispCtrl)).Length;
+            m_dispControl = new Control[DspCtrlCnt];
+
+            m_dispControl[(int)DispCtrl.OrderersCode] = lblOrderersCode;
+            m_dispControl[(int)DispCtrl.CorporateStatusName] = cmbCorporateStatus;
+            m_dispControl[(int)DispCtrl.OrderersName1] = txtInput01;
+            m_dispControl[(int)DispCtrl.OrderersName2] = txtInput02;
+            m_dispControl[(int)DispCtrl.ZipCode] = txtInput03;
+            m_dispControl[(int)DispCtrl.Address1] = txtInput04;
+            m_dispControl[(int)DispCtrl.Address2] = txtInput05;
+            m_dispControl[(int)DispCtrl.Address3] = txtInput09;
+            m_dispControl[(int)DispCtrl.PhoneNumber] = txtInput06;
+            m_dispControl[(int)DispCtrl.FaxNumber] = txtInput07;
+            m_dispControl[(int)DispCtrl.Note] = txtInput08;
+            m_dispControl[(int)DispCtrl.EditMode] = lblEditMode;
+            m_dispControl[(int)DispCtrl.btnSerchZip] = btnSerchZip;
+            m_dispControl[(int)DispCtrl.PointNone] = rdbPoint1;
+            m_dispControl[(int)DispCtrl.PointFront] = rdbPoint2;
+            m_dispControl[(int)DispCtrl.PointRear] = rdbPoint3;
+            m_dispControl[(int)DispCtrl.ChangeOrdersChange] = cmbChangeOrdersDivision;
+            m_dispControl[(int)DispCtrl.DepartmentName] = textBox1;
+            m_dispControl[(int)DispCtrl.ChargePersonName] = textBox2;
+            m_dispControl[(int)DispCtrl.MailAddress] =txtInput15;
         }
         #endregion
 
@@ -697,8 +748,15 @@
             foreach (Control wrk in m_dispControl)
             {
                 if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (!wrk.GetType().Equals(typeof(Label)))
+                if (wrk.GetType().Equals(typeof(Label))) continue;
+                if (wrk.GetType().Equals(typeof(TextBox)))
+                {
+                    ((TextBox)wrk).ReadOnly = !bctrl;
+                }
+                else
+                {
                     wrk.Enabled = bctrl;
+                }
             }
         }
         #endregion
@@ -709,29 +767,36 @@
         /// </summary>
         private void ClearDisplay()
         {
-            foreach (Control wrk in m_dispControl)
+            try
             {
-                if (CommonMotions.chkObjectIsNull(wrk)) continue;
-                if (wrk.GetType().Equals(typeof(RadioButton))) continue;
-                if (wrk.GetType().Equals(typeof(Button))) continue;
-                wrk.Text = "";
+                foreach (Control wrk in m_dispControl)
+                {
+                    if (CommonMotions.chkObjectIsNull(wrk)) continue;
+                    if (wrk.GetType().Equals(typeof(RadioButton))) continue;
+                    if (wrk.GetType().Equals(typeof(Button))) continue;
+                    wrk.Text = "";
+                }
+
+                // 新規時は発注者コードを表示しない
+                if (m_OrderersCode == 0)
+                {
+                    lblOrderersCode.Visible = false;
+                    lblOrderersCodelabel.Visible = false;
+                }
+                else
+                {
+                    lblOrderersCode.Visible = true;
+                    lblOrderersCodelabel.Visible = true;
+                }
+                cmbCorporateStatus.SelectedIndex = -1;
+                cmbChangeOrdersDivision.SelectedIndex = -1;
+                rdbPoint1.Checked = true;
+                m_bChengeAns = false;
             }
-            
-            // 新規時は発注者コードを表示しない
-            if (m_OrderersCode == 0)
+            catch (System.Exception ex)
             {
-                lblOrderersCode.Visible = false;
-                lblOrderersCodelabel.Visible = false;
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
-            else
-            {
-                lblOrderersCode.Visible = true;
-                lblOrderersCodelabel.Visible = true;
-            }
-            cmbCorporateStatus.SelectedIndex = -1;
-            cmbChangeOrdersDivision.SelectedIndex = -1;
-            rdbPoint1.Checked = true;
-            m_bChengeAns = false;
         }
         #endregion
 
@@ -747,35 +812,47 @@
             try
             {
                 // 発注者名
-                if (m_dispControl[(int)Dispcount.OrderersName1].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.OrderersName1], s_OrderersNameLength, true);
+                if (m_dispControl[(int)DispCtrl.OrderersName1].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.OrderersName1], s_OrderersNameLength, true);
 
-                if (m_dispControl[(int)Dispcount.OrderersName2].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.OrderersName2], s_OrderersNameLength, false);
+                if (m_dispControl[(int)DispCtrl.OrderersName2].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.OrderersName2], s_OrderersNameLength, false);
 
+                // 部署名
+                if (m_dispControl[(int)DispCtrl.DepartmentName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.DepartmentName], s_OrderersNameLength, false);
+
+                // 担当者名
+                if (m_dispControl[(int)DispCtrl.ChargePersonName].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.ChargePersonName], s_OrderersNameLength, false);
+
                 // 住所１
-                if (m_dispControl[(int)Dispcount.Address1].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.Address1], s_AddressLength, true);
+                if (m_dispControl[(int)DispCtrl.Address1].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.Address1], s_AddressLength, true);
 
                 // 住所２
-                if (m_dispControl[(int)Dispcount.Address2].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.Address2], s_AddressLength);
+                if (m_dispControl[(int)DispCtrl.Address2].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.Address2], s_AddressLength);
 
                 // 郵便番号
-                if (m_dispControl[(int)Dispcount.ZipCode].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldZipCodeCheck(m_dispControl[(int)Dispcount.ZipCode], true);
+                if (m_dispControl[(int)DispCtrl.ZipCode].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldZipCodeCheck(m_dispControl[(int)DispCtrl.ZipCode], true);
 
                 // 電話番号
-                if (m_dispControl[(int)Dispcount.PhoneNumber].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)Dispcount.PhoneNumber], true);
+                if (m_dispControl[(int)DispCtrl.PhoneNumber].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispCtrl.PhoneNumber], true);
 
                 // FAX番号
-                if (m_dispControl[(int)Dispcount.FaxNumber].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)Dispcount.FaxNumber]);
+                if (m_dispControl[(int)DispCtrl.FaxNumber].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldPhoneNumberCheck(m_dispControl[(int)DispCtrl.FaxNumber]);
 
+                // メールアドレス
+                if (m_dispControl[(int)DispCtrl.MailAddress].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.MailAddress], 256);
+
                 // 備考
-                if (m_dispControl[(int)Dispcount.Note].Text.Length != 0) iLength++;
-                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)Dispcount.Note], s_NoteLength);
+                if (m_dispControl[(int)DispCtrl.Note].Text.Length != 0) iLength++;
+                bRet &= CommonMotions.DispFieldLengthCheck(m_dispControl[(int)DispCtrl.Note], s_NoteLength);
 
                 if (iLength == 0)
                 {
@@ -839,7 +916,7 @@
                 // 発注者区分
                 work.OrderCotegory = CommonMotions.cnvInt(cmbChangeOrdersDivision.SelectedValue.ToString());
                 // 発注者コード
-                work.OrderersCode = CommonMotions.cnvInt(m_dispControl[(int)Dispcount.OrderersCode].Text);
+                work.OrderersCode = CommonMotions.cnvInt(m_dispControl[(int)DispCtrl.OrderersCode].Text);
                 // 表示順
                 work.DisplayOrder = 0;
 
@@ -848,45 +925,60 @@
                 else if (rdbPoint2.Checked == true) work.CorporateStatusPoint = 1;
                 else if (rdbPoint3.Checked == true) work.CorporateStatusPoint = 2;
 
+                if (radioButton1.Checked == true) work.OrderFlg = 0;
+                else if (radioButton2.Checked == true) work.OrderFlg = 1;
+
                 // 法人格名称
                 if (work.CorporateStatusPoint != 0)
-                    if (m_dispControl[(int)Dispcount.CorporateStatusName].Text.Length != 0)
-                        work.CorporateStatusName = m_dispControl[(int)Dispcount.CorporateStatusName].Text;
+                    if (m_dispControl[(int)DispCtrl.CorporateStatusName].Text.Length != 0)
+                        work.CorporateStatusName = m_dispControl[(int)DispCtrl.CorporateStatusName].Text;
 
                 // 発注者名
-                if (m_dispControl[(int)Dispcount.OrderersName1].Text.Length != 0)
-                    work.OrderersName1 = m_dispControl[(int)Dispcount.OrderersName1].Text;
+                if (m_dispControl[(int)DispCtrl.OrderersName1].Text.Length != 0)
+                    work.OrderersName1 = m_dispControl[(int)DispCtrl.OrderersName1].Text;
 
-                if (m_dispControl[(int)Dispcount.OrderersName2].Text.Length != 0)
-                    work.OrderersName2 = m_dispControl[(int)Dispcount.OrderersName2].Text;
+                if (m_dispControl[(int)DispCtrl.OrderersName2].Text.Length != 0)
+                    work.OrderersName2 = m_dispControl[(int)DispCtrl.OrderersName2].Text;
 
+                // 部署名
+                if (m_dispControl[(int)DispCtrl.DepartmentName].Text.Length != 0)
+                    work.DepartmentName = m_dispControl[(int)DispCtrl.DepartmentName].Text;
+
+                // 担当者名
+                if (m_dispControl[(int)DispCtrl.ChargePersonName].Text.Length != 0)
+                    work.ChargePersonName = m_dispControl[(int)DispCtrl.ChargePersonName].Text;
+
                 // 郵便番号
-                if (m_dispControl[(int)Dispcount.ZipCode].Text.Length != 0)
-                    work.ZipCode = m_dispControl[(int)Dispcount.ZipCode].Text;
+                if (m_dispControl[(int)DispCtrl.ZipCode].Text.Length != 0)
+                    work.ZipCode = m_dispControl[(int)DispCtrl.ZipCode].Text;
 
                 // 住所１
-                if (m_dispControl[(int)Dispcount.Address1].Text.Length != 0)
-                    work.Address1 = m_dispControl[(int)Dispcount.Address1].Text;
+                if (m_dispControl[(int)DispCtrl.Address1].Text.Length != 0)
+                    work.Address1 = m_dispControl[(int)DispCtrl.Address1].Text;
 
                 // 住所２
-                if (m_dispControl[(int)Dispcount.Address2].Text.Length != 0)
-                    work.Address2 = m_dispControl[(int)Dispcount.Address2].Text;
+                if (m_dispControl[(int)DispCtrl.Address2].Text.Length != 0)
+                    work.Address2 = m_dispControl[(int)DispCtrl.Address2].Text;
 
                 // 住所３
-                if (m_dispControl[(int)Dispcount.Address3].Text.Length != 0)
-                    work.Address3 = m_dispControl[(int)Dispcount.Address3].Text;
+                if (m_dispControl[(int)DispCtrl.Address3].Text.Length != 0)
+                    work.Address3 = m_dispControl[(int)DispCtrl.Address3].Text;
 
                 // 電話番号
-                if (m_dispControl[(int)Dispcount.PhoneNumber].Text.Length != 0)
-                    work.PhoneNumber = m_dispControl[(int)Dispcount.PhoneNumber].Text;
+                if (m_dispControl[(int)DispCtrl.PhoneNumber].Text.Length != 0)
+                    work.PhoneNumber = m_dispControl[(int)DispCtrl.PhoneNumber].Text;
 
                 // FAX番号
-                if (m_dispControl[(int)Dispcount.FaxNumber].Text.Length != 0)
-                    work.FaxNumber = m_dispControl[(int)Dispcount.FaxNumber].Text;
+                if (m_dispControl[(int)DispCtrl.FaxNumber].Text.Length != 0)
+                    work.FaxNumber = m_dispControl[(int)DispCtrl.FaxNumber].Text;
 
+                // メールアドレス
+                if (m_dispControl[(int)DispCtrl.MailAddress].Text.Length != 0)
+                    work.MailAddress = m_dispControl[(int)DispCtrl.MailAddress].Text;
+
                 // 備考
-                if (m_dispControl[(int)Dispcount.Note].Text.Length != 0)
-                    work.Note = m_dispControl[(int)Dispcount.Note].Text;
+                if (m_dispControl[(int)DispCtrl.Note].Text.Length != 0)
+                    work.Note = m_dispControl[(int)DispCtrl.Note].Text;
 
                 // 
                 string strWhere = orDB.CreatePrimarykeyString(CommonMotions.cnvInt(cmbDivision.SelectedValue.ToString()), work.OrderersCode);
@@ -920,11 +1012,11 @@
                     }
 
                     // データがない場合
-                    workList.Clear();
-                    workList.Add(work);
+                    //workList.Clear();
+                    //workList.Add(work);
 
                     // データ登録
-                    if (!orDB.InsertAction(workList, false))
+                    if (!orDB.InsertAction(work, false))
                     {
                         orDB.rollback();
                         MessageBox.Show("登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
@@ -951,17 +1043,18 @@
 
                 // 成功したらcommit
                 orDB.commit();
+
+                return true;
             }
             catch (System.Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
             }
             finally
             {
-                orDB.close();
-                orDB = null;
+                orDB.close(); orDB = null;
             }
-            return true;
         }
         #endregion
 
@@ -1051,29 +1144,45 @@
                 if (!odDB.SelectAction(strSql, ref odList)) return false;
 
                 // データ表示
-                m_dispControl[(int)Dispcount.OrderersCode].Text = odList.OrderersCode.ToString();
+                m_dispControl[(int)DispCtrl.OrderersCode].Text = odList.OrderersCode.ToString();
 
-                m_dispControl[(int)Dispcount.CorporateStatusName].Text = odList.CorporateStatusName.ToString();      // 法人格名称
+                m_dispControl[(int)DispCtrl.CorporateStatusName].Text = odList.CorporateStatusName.ToString();      // 法人格名称
 
                 if (odList.CorporateStatusPoint == 0) rdbPoint1.Checked = true;
                 else if (odList.CorporateStatusPoint == 1) rdbPoint2.Checked = true;
                 else if (odList.CorporateStatusPoint == 2) rdbPoint3.Checked = true;
 
-                m_dispControl[(int)Dispcount.OrderersName1].Text = odList.OrderersName1.ToString();
-                m_dispControl[(int)Dispcount.OrderersName2].Text = odList.OrderersName2.ToString();
-                m_dispControl[(int)Dispcount.ZipCode].Text = odList.ZipCode.ToString();
-                m_dispControl[(int)Dispcount.Address1].Text = odList.Address1.ToString();
-                m_dispControl[(int)Dispcount.Address2].Text = odList.Address2.ToString();
-                m_dispControl[(int)Dispcount.Address3].Text = odList.Address3.ToString();
-                m_dispControl[(int)Dispcount.PhoneNumber].Text = odList.PhoneNumber.ToString();
-                m_dispControl[(int)Dispcount.FaxNumber].Text = odList.FaxNumber.ToString();
-                m_dispControl[(int)Dispcount.Note].Text = odList.Note.ToString();
+                if (odList.OrderFlg == 0) radioButton1.Checked = true;
+                else if (odList.OrderFlg == 1) radioButton2.Checked = true;
 
+                m_dispControl[(int)DispCtrl.OrderersName1].Text = odList.OrderersName1.ToString();
+                m_dispControl[(int)DispCtrl.OrderersName2].Text = odList.OrderersName2.ToString();
+
+                m_dispControl[(int)DispCtrl.DepartmentName].Text = odList.DepartmentName.ToString();
+                m_dispControl[(int)DispCtrl.ChargePersonName].Text = odList.ChargePersonName.ToString();
+                
+                m_dispControl[(int)DispCtrl.ZipCode].Text = odList.ZipCode.ToString();
+                m_dispControl[(int)DispCtrl.Address1].Text = odList.Address1.ToString();
+                m_dispControl[(int)DispCtrl.Address2].Text = odList.Address2.ToString();
+                m_dispControl[(int)DispCtrl.Address3].Text = odList.Address3.ToString();
+                m_dispControl[(int)DispCtrl.PhoneNumber].Text = odList.PhoneNumber.ToString();
+                m_dispControl[(int)DispCtrl.FaxNumber].Text = odList.FaxNumber.ToString();
+                m_dispControl[(int)DispCtrl.MailAddress].Text = odList.MailAddress.ToString();
+                m_dispControl[(int)DispCtrl.Note].Text = odList.Note.ToString();
+
                 cmbChangeOrdersDivision.SelectedValue = odList.OrderCotegory;
 
+                if (odList.DeleteFlg != 0)
+                {
+                    label18.Visible = true;
+                }
+                else
+                {
+                    label18.Visible = false;
+                }
+                
                 m_bChengeAns = false;
 
-
                 return true;
             }
             catch (Exception ex)
@@ -1183,6 +1292,9 @@
                 btnDataLineEntry.Visible = false;
                 btnDispDown.Visible = false;
                 btnDispUp.Visible = false;
+                btnSerchZip.Visible = false;
+                panel1.Enabled = false;
+                panel5.Enabled = false;
             }
             catch (Exception ex)
             {
